<?php $__env->startSection('title',trans('front.productdetails').'  '.$product->name); ?>
<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
           <?php echo app('translator')->getFromJson('front.productdetails'); ?>
            <small><?php echo e($product->name); ?></small>
            <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print()" role="button">
                <i class="fa fa-print" aria-hidden="true"></i>
            </a>
            
            <strong>ربح الصنف :</strong><?php echo e($product->product_profit); ?>


            <?php
                $check = true;
                try{
                    $datahtml = $settings['SiteName']."\n رقم الموبيل: "
                                .$settings['mobile']."\n اسم الصنف: ".$product->name;
                    $Qcode = base64_encode(\SimpleSoftwareIO\QrCode\Facades\QrCode::format('png')
                    ->encoding('UTF-8')
                    ->size(100)
                    ->generate($datahtml));
                }catch (\Exception $e){
                    $check = false;
                }
            ?>
            <?php if($check): ?>
                <div style="margin-bottom: 5px;" class="pull-right">
                    <img src="data:image/png;base64,  <?php echo $Qcode; ?>">
                </div>
            <?php endif; ?>
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <?php echo $__env->make('layouts.partial.printHeader',['showCompanyData'=>true], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.Stores Quantities'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-bordered">
                                    <?php $__currentLoopData = $product->productStore; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($store->name); ?></td>
                                            <td><?php echo e($store->pivot->qty-$store->pivot->sale_count); ?></td>
                                            <td><?php echo e(\App\Unit::find($store->pivot->unit_id)?\App\Unit::find($store->pivot->unit_id)->name:''); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                        <!-- /.row -->
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>
            <div class="col-md-12">
                <div class="box box-success">
                    <div class="box-header">
                        <h3 class="box-title">الشحنات</h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT">الشحنات</span></th>
                                        <th>التاريخ</th>
                                        <th>العميل</th>
                                        <th>العدد</th>
                                        <th>المرتجع</th>
                                        <th>السعر</th>
                                        <th>الشحن</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $product->shipments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e(optional($shipment->shipment)->created_at); ?></td>
                                                <td><?php echo e($shipment->client_name); ?></td>
                                                <td><?php echo e($shipment->qty); ?></td>
                                                <td><?php echo e($shipment->returned_qty); ?></td>
                                                <td><?php echo e($shipment->price); ?></td>
                                                <td><?php echo e($shipment->shipping_cost); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                </div>
            </div>
            <div class="col-md-12">
                <div class="box box-success">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.orders'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT"><?php echo app('translator')->getFromJson('front.orders'); ?></span></th>
                                        <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.client'); ?></th>
                                        <th>المخزن</th>
                                        <th><?php echo app('translator')->getFromJson('front.quantity'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.price'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <?php $total = 0 ?>
                                    <?php $__currentLoopData = $product->orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <?php
                                                $unit = $order->qty*$order->price;
                                                $total += $unit;
                                            ?>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td><?php echo e($order->invoice->invoice_date); ?></td>
                                            <td><?php echo e(optional(optional($order->invoice)->client)->name); ?></td>
                                            <td><?php echo e($order->store_name); ?></td>
                                            <td><?php echo e($order->qty); ?></td>
                                            <td><?php echo e($order->price); ?></td>
                                            <td><?php echo e($unit); ?></td>
                                            <td>
                                                <a data-toggle="modal" data-target="#addPersonModal" class="btn btn-warning" href="<?php echo e(route('orders.show',$order->order_id)); ?>"><i class="fa fa-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tfoot>
                                    <tr class="danger">
                                        <td colspan="5"></td>
                                        <td><?php echo e($product->orders()->sum('qty')); ?></td>
                                        <td></td>
                                        <td><?php echo e($total); ?></td>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                        <!-- /.row -->
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>

            <div class="col-md-12">
                <div class="box box-info collapsed-box">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.purchases'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table style="width: 100%;" class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT"><?php echo app('translator')->getFromJson('front.purchases'); ?></span></th>
                                        <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.supplier'); ?></th>
                                        <th>المخزن</th>
                                        <th><?php echo app('translator')->getFromJson('front.quantity'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.price'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                    </tr>
                                    </thead>
                                    <?php $total = 0 ?>
                                    <?php $__currentLoopData = $product->purchases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <?php
                                                $unit = $order->qty*$order->price;
                                                $total += $unit;
                                            ?>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td><?php echo e($order->invoice->invoice_date); ?></td>
                                            <td><?php echo e(optional($order->invoice->client)->name); ?></td>
                                            <td><?php echo e($order->store_name); ?></td>
                                            <td><?php echo e($order->qty); ?></td>
                                            <td><?php echo e($order->price); ?></td>
                                            <td><?php echo e($unit); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tfoot>
                                    <tr class="danger">
                                        <td colspan="3"></td>
                                        <td><?php echo e($product->purchases()->sum('qty')); ?></td>
                                        <td></td>
                                        <td><?php echo e($total); ?></td>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                        <!-- /.row -->
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>

            <div class="col-md-12">
                <div class="box box-danger collapsed-box">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.ordersreturns'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body" style="display: none;">
                        <div class="row">
                            <div class="col-md-12">
                                <table style="width: 100%;" class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT"><?php echo app('translator')->getFromJson('front.ordersreturns'); ?></span></th>
                                        <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.client'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.store'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.quantity'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.unit'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.price'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                        $total = 0;
                                    ?>
                                    <?php $__currentLoopData = $product->ordersreturn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <?php
                                            $subtotal = $item->qty*$item->price;
                                            $total += $subtotal;
                                        ?>
                                        <tr>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td><?php echo e($item->returns->return_date); ?></td>
                                            <td><?php echo e(optional($item->returns->client)->name); ?></td>
                                            <td><?php echo e($item->store_name); ?></td>
                                            <td><?php echo e($item->qty); ?></td>
                                            <td><?php echo e($item->unit_name); ?></td>
                                            <td><?php echo e($item->price); ?></td>
                                            <td><?php echo e($subtotal); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                    <tfoot>
                                    <tr class="bg-danger">
                                        <td colspan="4"><?php echo app('translator')->getFromJson('front.total'); ?></td>
                                        <td colspan="4"><?php echo e($product->ordersreturn()->sum('qty')); ?></td>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-12">
                <div class="box box-warning collapsed-box">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.purchasereturns'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body" >
                        <div class="row">
                            <div class="col-md-12">
                                <table style="width: 100%;"  class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT"><?php echo app('translator')->getFromJson('front.purchasereturns'); ?></span></th>
                                        <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.supplier'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.store'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.quantity'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.unit'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.price'); ?></th>
                                        <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                        $total = 0;
                                    ?>
                                    <?php $__currentLoopData = $product->purchasesreturn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <?php
                                            $subtotal = $item->qty*$item->price;
                                            $total += $subtotal;
                                        ?>
                                        <tr>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td><?php echo e($item->returns->return_date); ?></td>
                                            <td><?php echo e(optional($item->returns->client)->name); ?></td>
                                            <td><?php echo e($item->store_name); ?></td>
                                            <td><?php echo e($item->qty); ?></td>
                                            <td><?php echo e($item->unit_name); ?></td>
                                            <td><?php echo e($item->price); ?></td>
                                            <td><?php echo e($subtotal); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                    <tfoot>
                                    <tr class="bg-danger">
                                        <td colspan="4"><?php echo app('translator')->getFromJson('front.total'); ?></td>
                                        <td colspan="4"><?php echo e($product->purchasesreturn()->sum('qty')); ?></td>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <?php if($product->workorder): ?>
                <div class="col-md-12">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">أوامر التصنيع</h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-bordered dataTableTT">
                                    <thead>
                                    <tr>
                                        <th>#<span class="hide boxTiT">أوامر التصنيع</span></th>
                                        <th>التاريخ</th>
                                        <th>اسم الصنف</th>
                                        <th>الكمية</th>
                                        <th class="hide"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $workorders = $product->workorder;
                                        ?>
                                        <?php $__currentLoopData = $workorders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($item->date); ?></td>
                                                <td><?php echo e($item->product_name); ?></td>
                                                <td><?php echo e($item->itemqty); ?></td>
                                                <td class="hide"></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                     <tfoot>
                                        <tr class="bg-danger">
                                            <td colspan="3">الإجمالى</td>
                                            <td><?php echo e($workorders->sum('itemqty')); ?></td>
                                            <td class="hide"></td>

                                        </tr>
                                     </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>

        </div>
                </div>
            </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('css'); ?>
    <style>

        .progress-bar,.badge{
            width: 100%;
        }
        .badge {
            width: 100%;
            padding: 5px;
        }
        @media  print {
            .btn,.dataTables_filter ,.dataTables_length,.dataTables_info {
                display: none;
            }
            table,.badge {
                font-size: 18px !important;
                color: #0c0c0c!important;
            }

            .printHeader{
                display: block!important;
            }

        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>