<?php $__env->startSection('title',trans('front.clientandsupplier').' '.request()->name); ?>
<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <?php echo app('translator')->getFromJson('front.clientandsupplier'); ?>
            <small>
                <?php echo e(request()->name); ?>

            </small>
            <a onclick="window.print();" href="javascript:void(0)" class=" btn btn-lg print pull-right"><i class="fa fa-print" aria-hidden="true"></i></a>
            <button id="pdf-button" class="btn btn-success print-window pull-right"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> تحميل PDF</button>
        </h1>
    </section>

    <!-- Main content -->
    <section class="content">
        <?php echo $__env->make('layouts.partial.printHeader',['showCompanyData'=>true], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="row hideprint">
            <div class="col-md-12">
                <form action="<?php echo e(route('persons.getClientSupplier')); ?>" method="get">
                    <div class="input-group input-group-sm">
                        <select data-placeholder="<?php echo app('translator')->getFromJson('front.select'); ?>" name="name" class="form-control select2 " style="width:100%;">
                            <option value=""></option>
                            <?php $__currentLoopData = $persons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $per): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php echo e(request()->name==$per->name?'selected':''); ?> value="<?php echo e($per->name); ?>"><?php echo e($per->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <span class="input-group-btn">
                          <button style="margin-right: 20px;width: 386px;" type="submit" class="btn btn-info btn-flat"><?php echo app('translator')->getFromJson('front.search'); ?></button>
                        </span>
                    </div>
                </form>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.balance'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th><?php echo app('translator')->getFromJson('front.clientbalance'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.supplierbalance'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.balance'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php if($client): ?>
                                    <tr>
                                        <?php
                                            $clientTrans = $client?$client->transactions()->sum('value'):0;
                                            $supplierTrans = $supplier?$supplier->transactions()->sum('value'):0;
                                            $diff = $clientTrans-$supplierTrans;
                                        ?>
                                        <td><?php echo e($clientTrans); ?></td>
                                        <td><?php echo e($supplierTrans); ?></td>
                                        <td><div style="width: 100%" class="progress-bar progress-bar-<?php echo e($diff>0?'success':'danger'); ?>"><?php echo e($diff); ?></div></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="box box-primary">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.clientpayment'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <?php if($client): ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                    <th><?php echo app('translator')->getFromJson('front.value'); ?></th>
                                    <th><?php echo app('translator')->getFromJson('front.title'); ?></th>
                                    <th class="no-sort"></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $client->transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trans): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($trans->created_at->format('Y-m-d h:i A')); ?></td>
                                        <td><?php echo e($trans->value); ?></td>
                                        <td><?php echo e($trans->note); ?></td>
                                        <td></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-primary">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.supplierpayment'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <?php if($supplier): ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                    <th><?php echo app('translator')->getFromJson('front.value'); ?></th>
                                    <th><?php echo app('translator')->getFromJson('front.title'); ?></th>
                                    <th class="no-sort"></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $supplier->transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trans): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($trans->created_at->format('Y-m-d h:i A')); ?></td>
                                        <td><?php echo e($trans->value); ?></td>
                                        <td><?php echo e($trans->note); ?></td>
                                        <td></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="box box-success">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.orders'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.invoicenumber'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.paid'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.due'); ?></th>
                            </tr>
                            </thead>
                            <?php if($client): ?>
                            <tbody>
                            <?php $__currentLoopData = $client->orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($order->invoice_date); ?></td>
                                    <td><?php echo e($order->invoice_number); ?></td>
                                    <td><?php echo e($order->total); ?></td>
                                    <td><?php echo e($order->paid); ?></td>
                                    <td><?php echo e($order->due); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <?php endif; ?>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-success">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.purchases'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.invoicenumber'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.paid'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.due'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php if($supplier): ?>
                                <?php $__currentLoopData = $supplier->orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($order->invoice_date); ?></td>
                                        <td><?php echo e($order->invoice_number); ?></td>
                                        <td><?php echo e($order->total); ?></td>
                                        <td><?php echo e($order->paid); ?></td>
                                        <td><?php echo e($order->due); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.ordreturn'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.payment'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php if($client): ?>
                            <?php $__currentLoopData = $client->returns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $return): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($return->return_date); ?></td>
                                    <td><?php echo e($return->return_value); ?></td>
                                    <td><?php echo e($return->is_cash?trans('front.cash'):trans('front.from previous balance')); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title"><?php echo app('translator')->getFromJson('front.purchasereturns'); ?></h3>
                        <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo app('translator')->getFromJson('front.date'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.total'); ?></th>
                                <th><?php echo app('translator')->getFromJson('front.payment'); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php if($supplier): ?>
                            <?php $__currentLoopData = $supplier->returns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $return): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($return->return_date); ?></td>
                                    <td><?php echo e($return->return_value); ?></td>
                                    <td><?php echo e($return->is_cash?trans('front.cash'):trans('front.from previous balance')); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('css'); ?>
    <style>
        @media  print {
            <?php if($settings['printerType']=='A5'): ?>
                table {
                max-width: 19cm !important;
                width: 19cm !important;
            }
            <?php elseif($settings['printerType']=='A4'): ?>
                .row,.col-md-12, table {
                max-width: 27.5cm !important;
                width: 27.5cm !important;
            }
            <?php endif; ?>
            html, body {
                height:100vh;
                width: 100vh;
                margin: 0px !important;
                padding-right: 5px !important;
                /*overflow: hidden;*/
            }
            @page{
                size: auto;
                height:auto;
                margin-left: 0cm;
                margin-right: 0px;
                margin-top: 0cm;
                margin-bottom: 0px;
                padding: 0cm!important;
            }
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('js'); ?>
    <script>
        $(".select2").select2();
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>